http://codestar-notifications.{region}.amazonaws.com/listTargetsReturns a list of the notification rule targets for an Amazon Web Services account.
Pagination limit
Pagination token
<p>The filters to use to return information by service or resource type. Valid filters include target type, target address, and target status.</p> <note> <p>A filter with the same name can appear more than once when used with OR statements. Filters with different names should be applied with AND statements.</p> </note>
An enumeration token that, when provided in a request, returns the next batch of the results.
A non-negative integer used to limit the number of returned results. The maximum number of results that can be returned is 100.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codestar-notifications.{region}.amazonaws.com/listTargets' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://codestar-notifications.{region}.amazonaws.com/listTargetsReturns a list of the notification rule targets for an Amazon Web Services account.
Pagination limit
Pagination token
<p>The filters to use to return information by service or resource type. Valid filters include target type, target address, and target status.</p> <note> <p>A filter with the same name can appear more than once when used with OR statements. Filters with different names should be applied with AND statements.</p> </note>
An enumeration token that, when provided in a request, returns the next batch of the results.
A non-negative integer used to limit the number of returned results. The maximum number of results that can be returned is 100.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codestar-notifications.{region}.amazonaws.com/listTargets' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}